Author Topic: Linux launcher install  (Read 1251 times)

0 Members and 1 Guest are viewing this topic.

Offline oljo

  • 23
Linux launcher install
Hi. I have used the freespace open installer om Windows with great success. But i have now turned to Linux and wish to play on that OS. I have used the installer and downloaded all the mods, but i cannot figurer out how to get a launcher to work. Can someone point me in the right direction?

 

Offline niffiwan

  • 211
  • Eluder Class
Re: Linux launcher install
Well... you can try compiling the source? https://github.com/scp-fs2open/wxLauncher#building---linux-has-been-tested-on-ubuntu
If you have any issues, post here and we can try to help.

Otherwise I think wxlauncher has packages available for certain distributions, the only issue might be that 3.8.0 requires wxlauncher 0.12.0-rc.3  and being a release candidate, I'm sure not anyone would have packaged that version yet.
« Last Edit: December 01, 2017, 05:41:54 am by niffiwan »
Creating a fs2_open.log | Red Alert Bug = Hex Edit | MediaVPs 2014: Bigger HUD gauges | 32bit libs for 64bit Ubuntu
----
Debian Packages (testing/unstable): Freespace2 | wxLauncher
----
m|m: I think I'm suffering from Stockholm syndrome. Bmpman is starting to make sense and it's actually written reasonably well...

 

Offline oljo

  • 23
Re: Linux launcher install
Thanks for Replay! I Will check it out later!

 

Offline oljo

  • 23
Re: Linux launcher install
Well now i have installed it, but i get an error in the wxlaunher "the executable did not generate a flag file" So i cant push play.

 

Offline ngld

  • Administrator
  • 29
  • Knossos dev
Re: Linux launcher install
What happens if you run the fs2_open executable directly?

 

Offline oljo

  • 23
Re: Linux launcher install
Nothing happens :confused: I have now tested wxlauncher for windows running Wine and that worked great, downloaded 3.7.2 RC for Linux but it sayd only 32 bit not 64 bit, so maybe thats the problem?

I realy dont want to run it using Wine, but if i have to i just go back to Windows again :P
« Last Edit: December 01, 2017, 04:22:37 am by oljo »

 
Re: Linux launcher install
downloaded 3.7.2 RC for Linux
Why that so old build? Download 3.8.0

 

Offline ngld

  • Administrator
  • 29
  • Knossos dev
Re: Linux launcher install
You're probably missing required libraries. 3.8.0 uses AppImage so that shouldn't be a problem there. Please run the 3.8.0 binary in a terminal and post the output it generates if it still doesn't work correctly.